Page MenuHomePhabricator

efl_ui_focus: delete elements on invalidate
ClosedPublic

Authored by bu5hm4n on Jan 14 2019, 11:51 PM.

Details

Summary

this lead to ERR's. A element is invalidated while the composition
element is invalidated, which means, not yet deleted, but the Pointer
will fail a call to efl_isa.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jan 14 2019, 11:51 PM
bu5hm4n requested review of this revision.Jan 14 2019, 11:51 PM
segfaultxavi edited reviewers, added: cedric; removed: segfaultxavi.Jan 15 2019, 2:05 AM

I think you wanted @cedric to review this and not me. No worries, we all make mistakes :D

cedric accepted this revision.Feb 11 2019, 2:52 PM

Oh, indeed object reference are better removed during invalidate phase.

This revision is now accepted and ready to land.Feb 11 2019, 2:52 PM
Closed by commit rEFLfac3fa1c882d: efl_ui_focus: delete elements on invalidate (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 12 2019, 2:27 AM
This revision was automatically updated to reflect the committed changes.